"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const i18n_context_1 = require("../i18n.context");
exports.I18n = common_1.createParamDecorator((data, req) => {
    if (Array.isArray(req)) {
        return new i18n_context_1.I18nContext(...resolveI18nServiceFromGraphQLContext(req));
    }
    return new i18n_context_1.I18nContext(...resolveI18nServiceFromRestRequest(req));
});
function resolveI18nServiceFromRestRequest(req) {
    return [
        req.i18nLang || (req.raw ? req.raw.i18nLang : undefined),
        req.i18nService || (req.raw ? req.raw.i18nService : undefined),
    ];
}
function resolveI18nServiceFromGraphQLContext(req) {
    const [root, args, ctx, info] = req;
    return [ctx.req.i18nLang, ctx.req.i18nService];
}
