import { Logger } from '@nestjs/common';
import { I18nTranslation } from '../i18n.constants';
import { I18nOptions } from '..';
export declare class I18nService {
    private readonly i18nOptions;
    private readonly translations;
    private readonly supportedLanguages;
    private readonly logger;
    constructor(i18nOptions: I18nOptions, translations: I18nTranslation, supportedLanguages: string[], logger: Logger);
    translate(key: string, options?: {
        lang?: string;
        args?: Array<{
            [k: string]: any;
        } | string> | {
            [k: string]: any;
        };
    }): any;
    getSupportedLanguages(): string[];
    private saveMissingTranslation;
}
